Get Payment Method
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/payment_methods/{payment_method_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/payment_methods/{payment_method_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/payment_methods/{payment_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_method": {
"id": "8bfc20d7-f7c6-4422-bf07-8243ca4169fe",
"type": "ACH",
"name": "ALLY BANK ******1234",
"currency": "USD",
"verified": true,
"allow_buy": true,
"allow_sell": true,
"allow_deposit": true,
"allow_withdraw": true,
"created_at": "2021-05-31T09:59:59.000Z",
"updated_at": "2021-05-31T09:59:59.000Z"
}
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Payment Methods
Get Payment Method
Get information about a payment method for the current user.
GET
/
api
/
v3
/
brokerage
/
payment_methods
/
{payment_method_id}
Get Payment Method
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Path Parameters
The ID of the payment method. Refer to List Payment Methods for the list of all available payment methods and their corresponding IDs.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I